org.apache.solr.spelling.suggest

## Class DocumentExpressionDictionaryFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.DictionaryFactory
  - - org.apache.solr.spelling.suggest.DocumentExpressionDictionaryFactory

-     public class DocumentExpressionDictionaryFactory
      extends DictionaryFactory

  Factory for `DocumentValueSourceDictionary`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FIELD` Label for defining field to use for terms
    `static String` | `PAYLOAD_FIELD` Label for defining payloadField to use for terms (optional)
    `static String` | `SORT_FIELD` Label used to define the name of the sortField used in the `WEIGHT_EXPRESSION`
    `static String` | `WEIGHT_EXPRESSION` Label for defining expression to evaluate the weight for the terms

    - ### Fields inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `DEFAULT_FILE_BASED_DICT, DEFAULT_INDEX_BASED_DICT, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentExpressionDictionaryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dictionary` | `create(SolrCore core, SolrIndexSearcher searcher)` Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries
    `ValueSource` | `fromExpression(String weightExpression, Set<SortField> sortFields)`

    - ### Methods inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD

          public static final String FIELD

      Label for defining field to use for terms
      See Also:
        Constant Field Values

    - #### PAYLOAD_FIELD

          public static final String PAYLOAD_FIELD

      Label for defining payloadField to use for terms (optional)
      See Also:
        Constant Field Values

    - #### WEIGHT_EXPRESSION

          public static final String WEIGHT_EXPRESSION

      Label for defining expression to evaluate the weight for the terms
      See Also:
        Constant Field Values

    - #### SORT_FIELD

          public static final String SORT_FIELD

      Label used to define the name of the sortField used in the `WEIGHT_EXPRESSION`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocumentExpressionDictionaryFactory

          public DocumentExpressionDictionaryFactory()

  - ### Method Detail

    - #### create

          public Dictionary create(SolrCore core,
                                   SolrIndexSearcher searcher)

      Description copied from class: `DictionaryFactory`
      Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries
      Specified by:
        `create` in class `DictionaryFactory`

    - #### fromExpression

          public ValueSource fromExpression(String weightExpression,
                                            Set<SortField> sortFields)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.